<!DOCTYPE html>
<html lang="en" class="js csstransforms3d">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="generator" content="Hugo 0.89.4" />
    <meta name="description" content="Generation of diagram and flowchart from text in a similar manner as markdown">
<meta name="author" content="D: Bonnéry">

    <link rel="shortcut icon" href="/images/de.jpg" type="image/x-icon" />
    <title>Mermaid :: </title>

    
    <link href="/EnqueteQuantitative/pages/css/nucleus.css?1669732413" rel="stylesheet">
    <link href="/EnqueteQuantitative/pages/css/fontawesome-all.min.css?1669732413" rel="stylesheet">
    <link href="/EnqueteQuantitative/pages/css/hybrid.css?1669732413" rel="stylesheet">
    <link href="/EnqueteQuantitative/pages/css/featherlight.min.css?1669732413" rel="stylesheet">
    <link href="/EnqueteQuantitative/pages/css/perfect-scrollbar.min.css?1669732413" rel="stylesheet">
    <link href="/EnqueteQuantitative/pages/css/auto-complete.css?1669732413" rel="stylesheet">
    <link href="/EnqueteQuantitative/pages/css/atom-one-dark-reasonable.css?1669732413" rel="stylesheet">
    <link href="/EnqueteQuantitative/pages/css/theme.css?1669732413" rel="stylesheet">
    <link href="/EnqueteQuantitative/pages/css/tabs.css?1669732413" rel="stylesheet">
    <link href="/EnqueteQuantitative/pages/css/hugo-theme.css?1669732413" rel="stylesheet">
    
    <link href="/EnqueteQuantitative/pages/css/theme-red.css?1669732413" rel="stylesheet">
    
    

    <script src="/EnqueteQuantitative/pages/js/jquery-3.3.1.min.js?1669732413"></script>

    <style>
      :root #header + #content > #left > #rlblock_left{
          display:none !important;
      }
      
    </style>
    
  </head>
  <body class="" data-url="/EnqueteQuantitative/pages/en/shortcodes/mermaid/">
    <nav id="sidebar" class="showVisitedLinks">



  <div id="header-wrapper">
    <div id="header">
      <a id="logo" href='/en'>

<font size="+3"> Enquêtes Quantitatives</font>
<img src="/images/de.jpg" alt="Cours de Daniel Bonnéry">


</a>

    </div>
    
        <div class="searchbox">
    <label for="search-by"><i class="fas fa-search"></i></label>
    <input data-search-input id="search-by" type="search" placeholder="Search...">
    <span data-search-clear=""><i class="fas fa-times"></i></span>
</div>

<script type="text/javascript" src="/EnqueteQuantitative/pages/js/lunr.min.js?1669732413"></script>
<script type="text/javascript" src="/EnqueteQuantitative/pages/js/auto-complete.js?1669732413"></script>
<script type="text/javascript">
    
        var baseurl = "https:\/\/db-lectures.gitlab.io\/EnqueteQuantitative\/pages\/en";
    
</script>
<script type="text/javascript" src="/EnqueteQuantitative/pages/js/search.js?1669732413"></script>

    
  </div>
  
    <section id="homelinks">
      <ul>
        <li>
            <a class="padding" href='/en'><i class='fas fa-home'></i> Home</a>
        </li>
      </ul>
    </section>
  

    <div class="highlightable">
    <ul class="topics">

        
          
          




 
  
    
    <li data-nav-id="/EnqueteQuantitative/pages/en/1-principesstat/" title="Basics" class="dd-item
        
        
        
        ">
      <a href="/EnqueteQuantitative/pages/en/1-principesstat/">
          <b>1. </b>Basics
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
    </li>
  
 

          
          




 
  
    
    <li data-nav-id="/EnqueteQuantitative/pages/en/shortcodes/" title="Shortcodes" class="dd-item
        parent
        
        
        ">
      <a href="/EnqueteQuantitative/pages/en/shortcodes/">
          <b>3. </b>Shortcodes
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          

        
          
            
            




 
  
    
      <li data-nav-id="/EnqueteQuantitative/pages/en/shortcodes/attachments/" title="Attachments" class="dd-item ">
        <a href="/EnqueteQuantitative/pages/en/shortcodes/attachments/">
        Attachments
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/EnqueteQuantitative/pages/en/shortcodes/button/" title="Button" class="dd-item ">
        <a href="/EnqueteQuantitative/pages/en/shortcodes/button/">
        Button
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
    <li data-nav-id="/EnqueteQuantitative/pages/en/shortcodes/children/" title="Children" class="dd-item
        
        
        
        ">
      <a href="/EnqueteQuantitative/pages/en/shortcodes/children/">
          Children
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          

        
          
            
            




 
  
    
    <li data-nav-id="/EnqueteQuantitative/pages/en/shortcodes/children/children-1/" title="page 1" class="dd-item
        
        
        
        ">
      <a href="/EnqueteQuantitative/pages/en/shortcodes/children/children-1/">
          page 1
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          

        
          
            
            




 
  
    
    <li data-nav-id="/EnqueteQuantitative/pages/en/shortcodes/children/children-1/children-1-1/" title="page 1-1" class="dd-item
        
        
        
        ">
      <a href="/EnqueteQuantitative/pages/en/shortcodes/children/children-1/children-1-1/">
          page 1-1
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          

        
          
            
            




 
  
    
    <li data-nav-id="/EnqueteQuantitative/pages/en/shortcodes/children/children-1/children-1-1/children-1-1-1/" title="page 1-1-1" class="dd-item
        
        
        
        ">
      <a href="/EnqueteQuantitative/pages/en/shortcodes/children/children-1/children-1-1/children-1-1-1/">
          page 1-1-1
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          

        
          
            
            




 
  
    
    <li data-nav-id="/EnqueteQuantitative/pages/en/shortcodes/children/children-1/children-1-1/children-1-1-1/children-1-1-1-1/" title="page 1-1-1-1" class="dd-item
        
        
        
        ">
      <a href="/EnqueteQuantitative/pages/en/shortcodes/children/children-1/children-1-1/children-1-1-1/children-1-1-1-1/">
          page 1-1-1-1
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          

        
          
            
            




 
  
    
    <li data-nav-id="/EnqueteQuantitative/pages/en/shortcodes/children/children-1/children-1-1/children-1-1-1/children-1-1-1-1/children-1-1-1-1-1/" title="page 1-1-1-1-1" class="dd-item
        
        
        
        ">
      <a href="/EnqueteQuantitative/pages/en/shortcodes/children/children-1/children-1-1/children-1-1-1/children-1-1-1-1/children-1-1-1-1-1/">
          page 1-1-1-1-1
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
    </li>
  
 

            
          
        
        </ul>
      
    </li>
  
 

            
          
        
        </ul>
      
    </li>
  
 

            
          
        
        </ul>
      
    </li>
  
 

            
          
        
        </ul>
      
    </li>
  
 

            
          
            
            




 
  
    
    <li data-nav-id="/EnqueteQuantitative/pages/en/shortcodes/children/children-2/" title="page 2" class="dd-item
        
        
        
        ">
      <a href="/EnqueteQuantitative/pages/en/shortcodes/children/children-2/">
          page 2
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
          

        
          
            
            




 
  
    
      <li data-nav-id="/EnqueteQuantitative/pages/en/shortcodes/children/children-2/test3/" title="page test 3" class="dd-item ">
        <a href="/EnqueteQuantitative/pages/en/shortcodes/children/children-2/test3/">
        page test 3
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
        
        </ul>
      
    </li>
  
 

            
          
            
            




 
  
    
    <li data-nav-id="/EnqueteQuantitative/pages/en/shortcodes/children/children-3/" title="page 3" class="dd-item
        
        
        
        ">
      <a href="/EnqueteQuantitative/pages/en/shortcodes/children/children-3/">
          page 3
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
    </li>
  
 

            
          
            
            
          
            
            




 
  
    
      <li data-nav-id="/EnqueteQuantitative/pages/en/shortcodes/children/test/" title="page test" class="dd-item ">
        <a href="/EnqueteQuantitative/pages/en/shortcodes/children/test/">
        page test
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
        
        </ul>
      
    </li>
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/EnqueteQuantitative/pages/en/shortcodes/expand/" title="Expand" class="dd-item ">
        <a href="/EnqueteQuantitative/pages/en/shortcodes/expand/">
        Expand
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/EnqueteQuantitative/pages/en/shortcodes/mermaid/" title="Mermaid" class="dd-item active">
        <a href="/EnqueteQuantitative/pages/en/shortcodes/mermaid/">
        Mermaid
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/EnqueteQuantitative/pages/en/shortcodes/notice/" title="Notice" class="dd-item ">
        <a href="/EnqueteQuantitative/pages/en/shortcodes/notice/">
        Notice
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/EnqueteQuantitative/pages/en/shortcodes/siteparam/" title="Site param" class="dd-item ">
        <a href="/EnqueteQuantitative/pages/en/shortcodes/siteparam/">
        Site param
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/EnqueteQuantitative/pages/en/shortcodes/tabs/" title="Tabbed views" class="dd-item ">
        <a href="/EnqueteQuantitative/pages/en/shortcodes/tabs/">
        Tabbed views
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
        
        </ul>
      
    </li>
  
 

          
          




 
  
    
    <li data-nav-id="/EnqueteQuantitative/pages/en/6-inference/" title="6-Inferences" class="dd-item
        
        
        
        ">
      <a href="/EnqueteQuantitative/pages/en/6-inference/">
          6-Inferences
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
          

        
          
            
            




 
  
    
      <li data-nav-id="/EnqueteQuantitative/pages/en/6-inference/2020-12-01-r-rmarkdown/" title="2020 12 01 R Rmarkdown" class="dd-item ">
        <a href="/EnqueteQuantitative/pages/en/6-inference/2020-12-01-r-rmarkdown/">
        2020 12 01 R Rmarkdown
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
        
        </ul>
      
    </li>
  
 

          
        
    </ul>

    
    
      <section id="shortcuts">
        <h3>More</h3>
        <ul>
          
              <li>
                  <a class="padding" href="https://gitlab.com/DB-lectures/EnqueteQuantitative/paquet-r"><i class='fab fa-fw fa-gitlab'></i> Dépot Gitlab</a>
              </li>
          
              <li>
                  <a class="padding" href="https://db-lectures.gitlab.io/EnqueteQuantitative/pages/en/showcase"><i class='fas fa-fw fa-camera'></i> Showcases</a>
              </li>
          
              <li>
                  <a class="padding" href="https://gohugo.io/"><i class='fas fa-fw fa-bookmark'></i> Hugo Documentation</a>
              </li>
          
              <li>
                  <a class="padding" href="https://db-lectures.gitlab.io/en/EnqueteQuantitative/pages/credits"><i class='fas fa-fw fa-bullhorn'></i> Credits</a>
              </li>
          
        </ul>
      </section>
    

    
    <section id="prefooter">
      <hr/>
      <ul>
      

      
        <li><a class="padding" href="#" data-clear-history-toggle=""><i class="fas fa-history fa-fw"></i> Clear History</a></li>
      
      </ul>
    </section>
    
    <section id="footer">
      
    </section>
  </div>
</nav>




        <section id="body">
        <div id="overlay"></div>
        <div class="padding highlightable">
              
              <div>
                <div id="top-bar">
                
                  
                  
                  
                  <div id="top-github-link">
                    <a class="github-link" title='Edit this page' href="https://gitlab.com/DB-lectures/EnqueteQuantitative/pages/content/shortcodes/mermaid.en.md" target="blank">
                      <i class="fas fa-code-branch"></i>
                      <span id="top-github-link-text">Edit this page</span>
                    </a>
                  </div>
                  
                
                
                <div id="breadcrumbs" itemscope="" itemtype="http://data-vocabulary.org/Breadcrumb">
                    <span id="sidebar-toggle-span">
                        <a href="#" id="sidebar-toggle" data-sidebar-toggle="">
                          <i class="fas fa-bars"></i>
                        </a>
                    </span>
                  
                  <span id="toc-menu"><i class="fas fa-list-alt"></i></span>
                  
                  <span class="links">
                 
                 
                    
          
          
            
            
          
          
            
            
          
          
            <a href='/EnqueteQuantitative/pages/en/'>Learn Theme for Hugo</a> > <a href='/EnqueteQuantitative/pages/en/shortcodes/'>Shortcodes</a> > Mermaid
          
        
          
        
          
        
                 
                  </span>
                </div>
                
                    <div class="progress">
    <div class="wrapper">
<nav id="TableOfContents">
  <ul>
    <li><a href="#flowchart-example">Flowchart example</a></li>
    <li><a href="#sequence-example">Sequence example</a></li>
    <li><a href="#gantt-example">GANTT Example</a>
      <ul>
        <li><a href="#class-example">Class example</a></li>
        <li><a href="#git-example">Git example</a></li>
        <li><a href="#state-diagrams">State Diagrams</a></li>
      </ul>
    </li>
  </ul>
</nav>
    </div>
</div>

                
              </div>
            </div>
            
        <div id="head-tags">
        
        </div>
        
        <div id="body-inner">
          
            <h1>
              
              Mermaid
            </h1>
          

        


<p><a href="https://mermaidjs.github.io/">Mermaid</a> is a library helping you to generate diagram and flowcharts from text, in a similar manner as Markdown.</p>
<p>Just insert your mermaid code in the <code>mermaid</code> shortcode and that&rsquo;s it.</p>
<h2 id="flowchart-example">Flowchart example</h2>
<pre><code>{{&lt;mermaid align=&quot;left&quot;&gt;}}
graph LR;
    A[Hard edge] --&gt;|Link text| B(Round edge)
    B --&gt; C{Decision}
    C --&gt;|One| D[Result one]
    C --&gt;|Two| E[Result two]
{{&lt; /mermaid &gt;}}
</code></pre>
<p>renders as</p>

<div class="mermaid" align="left">
graph LR;
    A[Hard edge] -->|Link text| B(Round edge)
    B --> C{Decision}
    C -->|One| D[Result one]
    C -->|Two| E[Result two]
</div>

<h2 id="sequence-example">Sequence example</h2>
<pre><code>{{&lt; mermaid &gt;}}
sequenceDiagram
    participant Alice
    participant Bob
    Alice-&gt;&gt;John: Hello John, how are you?
    loop Healthcheck
        John-&gt;John: Fight against hypochondria
    end
    Note right of John: Rational thoughts &lt;br/&gt;prevail...
    John--&gt;Alice: Great!
    John-&gt;Bob: How about you?
    Bob--&gt;John: Jolly good!
{{&lt; /mermaid &gt;}}
</code></pre>
<p>renders as</p>

<div class="mermaid" align="center">
sequenceDiagram
    participant Alice
    participant Bob
    Alice->>John: Hello John, how are you?
    loop Healthcheck
        John->John: Fight against hypochondria
    end
    Note right of John: Rational thoughts <br/>prevail...
    John-->Alice: Great!
    John->Bob: How about you?
    Bob-->John: Jolly good!
</div>

<h2 id="gantt-example">GANTT Example</h2>
<pre><code>{{&lt; mermaid &gt;}}
gantt
        dateFormat  YYYY-MM-DD
        title Adding GANTT diagram functionality to mermaid
        section A section
        Completed task            :done,    des1, 2014-01-06,2014-01-08
        Active task               :active,  des2, 2014-01-09, 3d
        Future task               :         des3, after des2, 5d
        Future task2               :         des4, after des3, 5d
        section Critical tasks
        Completed task in the critical line :crit, done, 2014-01-06,24h
        Implement parser and jison          :crit, done, after des1, 2d
        Create tests for parser             :crit, active, 3d
        Future task in critical line        :crit, 5d
        Create tests for renderer           :2d
        Add to mermaid                      :1d
{{&lt; /mermaid &gt;}}
</code></pre>
<p>renders as</p>

<div class="mermaid" align="center">
gantt
        dateFormat  YYYY-MM-DD
        title Adding GANTT diagram functionality to mermaid
        section A section
        Completed task            :done,    des1, 2014-01-06,2014-01-08
        Active task               :active,  des2, 2014-01-09, 3d
        Future task               :         des3, after des2, 5d
        Future task2               :         des4, after des3, 5d
        section Critical tasks
        Completed task in the critical line :crit, done, 2014-01-06,24h
        Implement parser and jison          :crit, done, after des1, 2d
        Create tests for parser             :crit, active, 3d
        Future task in critical line        :crit, 5d
        Create tests for renderer           :2d
        Add to mermaid                      :1d
</div>

<h3 id="class-example">Class example</h3>
<pre><code>{{&lt; mermaid &gt;}}
classDiagram
  Class01 &lt;|-- AveryLongClass : Cool
  Class03 *-- Class04
  Class05 o-- Class06
  Class07 .. Class08
  Class09 --&gt; C2 : Where am i?
  Class09 --* C3
  Class09 --|&gt; Class07
  Class07 : equals()
  Class07 : Object[] elementData
  Class01 : size()
  Class01 : int chimp
  Class01 : int gorilla
  Class08 &lt;--&gt; C2: Cool label
{{&lt; /mermaid &gt;}}
</code></pre>
<p>renders as</p>

<div class="mermaid" align="center">
classDiagram
  Class01 <|-- AveryLongClass : Cool
  Class03 *-- Class04
  Class05 o-- Class06
  Class07 .. Class08
  Class09 --> C2 : Where am i?
  Class09 --* C3
  Class09 --|> Class07
  Class07 : equals()
  Class07 : Object[] elementData
  Class01 : size()
  Class01 : int chimp
  Class01 : int gorilla
  Class08 <--> C2: Cool label
</div>

<h3 id="git-example">Git example</h3>
<pre><code>{{&lt; mermaid &gt;}}
gitGraph:
options
{
  &quot;nodeSpacing&quot;: 150,
  &quot;nodeRadius&quot;: 10
}
end
  commit
  branch newbranch
  checkout newbranch
  commit
  commit
  checkout master
  commit
  commit
  merge newbranch
{{&lt; /mermaid&gt;}}
</code></pre>
<p>renders as</p>

<div class="mermaid" align="center">
gitGraph:
options
{
  "nodeSpacing": 150,
  "nodeRadius": 10
}
end
  commit
  branch newbranch
  checkout newbranch
  commit
  commit
  checkout master
  commit
  commit
  merge newbranch
</div>

<h3 id="state-diagrams">State Diagrams</h3>
<pre><code>{{&lt; mermaid &gt;}}
stateDiagram-v2
  open: Open Door
  closed: Closed Door
  locked: Locked Door
  open   --&gt; closed: Close
  closed --&gt; locked: Lock
  locked --&gt; closed: Unlock
  closed --&gt; open: Open
{{&lt; /mermaid &gt;}}
</code></pre>
<p>renders as</p>

<div class="mermaid" align="center">
stateDiagram-v2
  open: Open Door
  closed: Closed Door
  locked: Locked Door
  open   --> closed: Close
  closed --> locked: Lock
  locked --> closed: Unlock
  closed --> open: Open
</div>



<footer class="footline">
	
</footer>

        
        </div>
        

      </div>

    <div id="navigation">
        
        

        
            
            
                
                    
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                        
                        
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                        
                        
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
            
        
                    
            
        
                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                        
                        
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
            
        

        


	 
	 
		
			<a class="nav nav-prev" href="/EnqueteQuantitative/pages/en/shortcodes/expand/" title="Expand"> <i class="fa fa-chevron-left"></i></a>
		
		
			<a class="nav nav-next" href="/EnqueteQuantitative/pages/en/shortcodes/notice/" title="Notice" style="margin-right: 0px;"><i class="fa fa-chevron-right"></i></a>
		
	
    </div>

    </section>

    <div style="left: -1000px; overflow: scroll; position: absolute; top: -1000px; border: none; box-sizing: content-box; height: 200px; margin: 0px; padding: 0px; width: 200px;">
      <div style="border: none; box-sizing: content-box; height: 200px; margin: 0px; padding: 0px; width: 200px;"></div>
    </div>
    <script src="/EnqueteQuantitative/pages/js/clipboard.min.js?1669732413"></script>
    <script src="/EnqueteQuantitative/pages/js/perfect-scrollbar.min.js?1669732413"></script>
    <script src="/EnqueteQuantitative/pages/js/perfect-scrollbar.jquery.min.js?1669732413"></script>
    <script src="/EnqueteQuantitative/pages/js/jquery.sticky.js?1669732413"></script>
    <script src="/EnqueteQuantitative/pages/js/featherlight.min.js?1669732413"></script>
    <script src="/EnqueteQuantitative/pages/js/highlight.pack.js?1669732413"></script>
    <script>hljs.initHighlightingOnLoad();</script>
    <script src="/EnqueteQuantitative/pages/js/modernizr.custom-3.6.0.js?1669732413"></script>
    <script src="/EnqueteQuantitative/pages/js/learn.js?1669732413"></script>
    <script src="/EnqueteQuantitative/pages/js/hugo-learn.js?1669732413"></script>
    
        
            <script src="https://unpkg.com/mermaid@8.8.0/dist/mermaid.min.js"></script>
        
        <script>
            mermaid.initialize({ startOnLoad: true });
        </script>
    
    <script>
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');

  ga('create', 'UA-105947713-1', 'auto');
  ga('send', 'pageview');

</script>


  </body>
</html>

